PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - a -

- Abbrev() : PHTML::Abbrev
- Abort() : PSoundChannel , PModem
- AbortCommandString() : PChannel
- AbstractContains() : PHashTable
- AbstractGetAt() : PAbstractDictionary
- AbstractGetDataAt() : PHashTable
- AbstractGetKeyAt() : PHashTable
- AbstractGetKeys() : PAbstractDictionary
- AbstractSetAt() : PAbstractDictionary
- Accept() : PSSLChannel , PSocksSocket , PTelnetSocket , PSocket , PTCPSocket , PInternetProtocol , PSSLChannel
- AcceptHTTP() : PHTTPServiceProcess
- Access() : PFile
- Acknowledge() : PSyncPointAck
- Acronym() : PHTML::Acronym
- Add() : PLDAPSession , PNotifierListTemplate< ParamType > , PHTTPForm , PIpAccessControlList , PLDAPSession
- AddArray() : PXMLRPCBlock
- AddArrayControlBox() : PHTTPFieldArray
- AddAttr() : PHTML::InputImage , PHTML::ResetButton , PHTML::Element , PHTML::Heading , PHTML::PreFormat , PHTML::HotLink , PHTML::Target , PHTML::ImageElement , PHTML::Image , PHTML::SetTab , PHTML::Tab , PHTML::SimpleList , PHTML::OrderedList , PHTML::ListItem , PHTML::TableStart , PHTML::Form , PHTML::FieldElement , PHTML::Select , PHTML::Option , PHTML::FormField , PHTML::TextArea , PHTML::InputField , PHTML::HiddenField , PHTML::InputText , PHTML::RadioButton , PHTML::InputNumber , PHTML::InputFile
- AddAttribute() : PLDAPStructBase , PSTUNMessage
- AddBinary() : PXMLRPCBlock
- AddBlankField() : PHTTPFieldArray
- AddCharacterData() : PXMLParser
- AddChild() : PXMLElement
- AddClientCA() : PSSLContext , PSSLChannel
- AddData() : PXMLElement
- AddElement() : PXMLElement , XMPP::Stanza
- AddFields() : PRegisterPage
- AddGroup() : XMPP::Roster::Item
- AddMIME() : PMIMEInfo
- AddNamespace() : PXMLElement
- AddNewKeyFields() : PHTTPConfig
- AddNotifier() : PPluginManager , PInterfaceMonitor
- AddParam() : PXMLRPCBlock
- AddParameter() : PSOAPMessage
- AddPerson() : PILSSession
- AddPluginDirs() : PPluginManager
- AddRegisteredText() : PHTTPServiceProcess
- AddResource() : PHTTPSpace
- Address() : PEthSocket::Address , PIPSocket::Address , PHTML::Address
- AddressAndPort() : PIPSocket::AddressAndPort
- AddSample() : PTones
- AddSectionField() : PHTTPConfig
- AddStruct() : PXMLRPCBlock
- AddSubObject() : PXMLElement
- AddTone() : PDTMFEncoder
- AddUnregisteredText() : PHTTPServiceProcess
- AddUser() : PHTTPMultiSimpAuth
- AddValue() : PLDAPSession::StringModAttrib , PLDAPSession::BinaryModAttrib
- AddVariable() : PXMLRPCStructBase
- AddWork() : PThreadPool< Work_T >::WorkerThread , PThreadPool< Work_T > , PQueuedThreadPool< Work_T >::QueuedWorkerThread
- AdjustWavFilename() : PVXMLChannel
- Alloc() : PVarType::Variant::Dynamic
- Allocate() : PMemoryHeap , PThread::LocalStorageBase , PThreadLocalStorage< Storage_T > , PMemoryHeap
- AllocateWorker() : PThreadPoolBase
- AllowDeleteObjects() : PSafeCollection , PCollection
- AllowDirectories() : PHTTPDirectory
- AllowTag() : PHTTP
- Append() : PArrayObjects , PCollection , PAbstractSet , PAbstractList , PSafeColl< Coll, Base > , PHTTPCompositeField , PASNSequence , PSNMPVarBindingList , PAbstractSortedList
- AppendElement() : PHashTableInfo
- AppendInteger() : PASNSequence
- AppendMessageIntegrity() : PSTUN
- AppendObjectID() : PASNSequence
- AppendPath() : PURL
- AppendString() : PStringArray , PStringList , PSortedStringList , PASNSequence , PSNMPVarBindingList
- AreAllRecordBuffersFull() : PSoundChannel
- AsBase64() : PMessageDigest::Result
- AsBits() : PBitwiseEnum< BaseEnum, MaxValue, BaseInt >
- AsBoolean() : PVarType
- AsFilePath() : PURL
- AsFloat() : PVarType
- AsGUID() : PVarType
- AsHex() : PHTTPClientAuthentication , PMessageDigest::Result
- AsInt64() : PString
- AsInteger() : PVarType , PString
- AsInteger64() : PVarType
- AsReal() : PString
- Assign() : PSafePtrBase , PSafePtrMultiThreaded , PSafePtrBase , PSafePtrMultiThreaded
- AssignContents() : PSharedPtr< T > , PHTML , PContainer , PFilePath , PConstantString< ParentString > , PString , PStringStream
- AsString() : PGloballyUniqueID , PURL , PSSLCertificate::X509_Name , PXML , PVideoFrameInfo , PTime , PTimeInterval , PSSLCertificate , PVideoInteractionInfo , PXML , PIpAccessControlEntry , PVarType , PSSLPrivateKey , PIPSocket::AddressAndPort , PURLLegacyScheme , PXMLObject , PIPSocket::Address , PTime , PMIMEInfo , PURLScheme , PTime
- AssureConnect() : PHTTPClient
- AsTime() : PVarType
- AsUnsigned() : PString , PVarType
- AsUnsigned64() : PVarType , PString
- AsXML() : XMPP::Disco::Item , XMPP::Identity , Info , XMPP::Roster::Item
- AsyncContext() : PChannel::AsyncContext
- AsyncNotifierExecute() : PAsyncNotifierTarget
- AsyncNotifierSignal() : PAsyncNotifierTarget
- Attach() : PSSLCertificate , PAbstractArray , XMPP::Roster , PSSLPrivateKey , PBaseArray< T > , PBitArray
- AttachVideoPlayer() : PVideoChannel
- AttachVideoReader() : PVideoChannel
- Attribute() : PLDAPSchema::Attribute
- AttributeList() : PLDAPSchema
- Attributes() : PVideoDevice::Attributes
- Author() : PHTML::Author
- Authorise() : PHTTPClientAuthentication , PHTTPClientDigestAuthentication , PHTTPClientBasicAuthentication , PSNMPServer
- AuthoriseUser() : PFTPServer
- AuthorizationTag() : PHTTP
- AutoLoadURL() : PXML_HTTP